Description

It appears that all id's (id and packageld) must contain an alphabetic character
because we have defined them as xs:ID. We might want to consider redefining
them as xs:string because of this limitation, and just rely on the key for

uniqueness. This would mean that in DTD enviroments we wouldn't be able to
establish uniqueness of the keys, but we seem to be moving away from DTD support
anyways so | think we should probably make this change.

As an example:
This validates: <eml packageld="X123">
This does not validate: <eml packageld="123">

History

#1 - 08/21/2002 05:44 PM - Matt Jones

Changed xs:ID to xs:string in all schema files. This allows numeric values for

the id values. The only down side of this is that we nbo longer can guarantee
unique id values if using an XML1.0 DTD parser. But we still can guarantee
unique id values using an XML Schema parser because of the "key" we created in
schema.

If there are no comments on this bug, I'll mark it as FIXED in a couple of days.

#2 - 08/30/2002 08:10 AM - Matt Jones

No comments have surfaced on the change from xs:ID to xs:string for the
datatypes of our id attributes, so | am marking this bug as FIXED. Now we
completely rely on the XML Schema "key" element to maintain uniqueness of the ids.

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 563
